ANABOX smart

Create a new user

Creates a new user within the current organization.

POST
/users/
x-api-key<token>

API key for authentication

In: header

meta?

Additional metadata for the user

apps?

Application-specific user fields

organizationstring

Organization ObjectId

email?string|null

User email address

Formatemail
category?string

Memo user category

Value in"doctor" | "nurse" | "patient" | "pharmacist" | "relative"
timezone?string

IANA timezone string

role?string

Role assigned to the user

Value in"user" | "admin" | "patient" | "onlyself"

Response Body

application/json

curl -X POST "https://api.memo.wirewire.de/v1/users/" \  -H "Content-Type: application/json" \  -d '{    "organization": "682fd0d7d4a6325d9d45b86d"  }'
{
  "id": "682fd0d7d4a6325d9d45b86d",
  "name": "Jane Doe",
  "email": "jane.doe@example.com"
}